# SystemLog

## Configuration

* **`eventsToLog`** An array of the [SystemLogEvent](/version-0.x/reference/core-classes/systemlogevent.md) class names to be stored in the log. The events not listed here will not be logged even if they're triggered. Set it to false to log all events. Default: `false`
* **`tableName`** The name of the table in the database where the log events will be stored. Default: `cherrycake_systemLog`.
* **`cacheProviderName`** The name of the cache provider to use. Default: `engine`.
* **`databaseProviderName`** The name of the database provider to use. Default: `main`.
* **`cacheKeyUniqueId`** The unique cache key to use when storing events into cache. Default: `QueuedSystemLogEvents`.
* **`isQueueInCache`** Whether to store events in a buffer using cache for improved performance instead of storing them in the database straightaway. Default: `true`.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://cherrycake.tin.cat/version-0.x/reference/core-modules/systemlog.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
